; Ryu's Command File.

;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-| Super Motions |--------------------------------------------------------


;-| Special Motions |------------------------------------------------------


;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery" ;Required (do not remove)
command = x+y
time = 1

[Command]
name = "recovery"
command = y+z
time = 1

[Command]
name = "recovery"
command = x+z
time = 1

[Command]
name = "recovery"
command = a+b
time = 1

[Command]
name = "recovery"
command = b+c
time = 1

[Command]
name = "recovery"
command = a+c
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "back_x"
command = /$B,x
time = 1

[Command]
name = "back_y"
command = /$B,y
time = 1

[Command]
name = "back_z"
command = /$B,z
time = 1

[Command]
name = "down_x"
command = /$D,x
time = 1

[Command]
name = "down_y"
command = /$D,y
time = 1

[Command]
name = "down_z"
command = /$D,z
time = 1

[Command]
name = "fwd_x"
command = /$F,x
time = 1

[Command]
name = "fwd_y"
command = /$F,y
time = 1

[Command]
name = "fwd_z"
command = /$F,z
time = 1

[Command]
name = "up_x"
command = /$U,x
time = 1

[Command]
name = "up_y"
command = /$U,y
time = 1

[Command]
name = "up_z"
command = /$U,z
time = 1

[Command]
name = "back_a"
command = /$B,a
time = 1

[Command]
name = "back_b"
command = /$B,b
time = 1

[Command]
name = "back_c"
command = /$B,c
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

[Command]
name = "fwd_a"
command = /$F,a
time = 1

[Command]
name = "fwd_b"
command = /$F,b
time = 1

[Command]
name = "fwd_c"
command = /$F,c
time = 1

[Command]
name = "up_a"
command = /$U,a
time = 1

[Command]
name = "up_b"
command = /$U,b
time = 1

[Command]
name = "up_c"
command = /$U,c
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "fwd"
command = $F
time = 1

[Command]
name = "down"
command = $D
time = 1

[Command]
name = "back"
command = $B
time = 1

[Command]
name = "up"
command = $U
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1

;-| Hold Button |--------------------------------------------------------------
[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_s"
command = /s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd" ;Required (do not remove)
command = /$F
time = 1

[Command]
name = "holddownfwd"
command = /$DF
time = 1

[Command]
name = "holddown" ;Required (do not remove)
command = /$D
time = 1

[Command]
name = "holddownback"
command = /$DB
time = 1

[Command]
name = "holdback" ;Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdupback"
command = /$UB
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holdupfwd"
command = /$UF
time = 1

;---------------------------------------------------------------------------
; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;---------------------------------------------------------------------------
[State -1, Combo Reset]
type = VarSet
trigger1 = 1
var(10) = 0

[State -1, Combo Check]
type = VarSet
triggerall = movecontact
triggerall = StateType != A
trigger1 = (StateNo = [200,299]) || (StateNo = [400,499])
var(10) = 1

[State -1, Air Combo Reset]
type = VarSet
trigger1 = 1
var(11) = 0

[State -1, Air Combo Check]
type = VarSet
triggerall = movecontact
triggerall = StateType = A
trigger1 = (StateNo = [600,699])
var(11) = 1

;===========================================================================
;---------------------------------------------------------------------------
; Super Moves
;---------------------------------------------------------------------------

;===========================================================================
;---------------------------------------------------------------------------
; Special Moves
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
; Alpha Counter - Shoryuken
[State -1, Counter]
type = ChangeState
value = 950
triggerall = command = "x" || command = "y" || command = "z"
triggerall = statetype != A
trigger1 = stateno = 150
trigger2 = stateno = 151
trigger3 = stateno = 152

;---------------------------------------------------------------------------
; Alpha Counter - Sweep
[State -1, Counter]
type = ChangeState
value = 960
triggerall = command = "a" || command = "b" || command = "c"
triggerall = statetype != A
trigger1 = stateno = 150
trigger2 = stateno = 151
trigger3 = stateno = 152

;===========================================================================
;---------------------------------------------------------------------------
; Basic Moves
;---------------------------------------------------------------------------
;===========================================================================
;---------------------------------------------------------------------------
; Taunt
[State -1, Taunt]
type = ChangeState
value = 181
triggerall = command = "s"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Overhead Throw
[State -1, Throw]
type = ChangeState
value = 800
triggerall = command = "x" || command = "y" || command = "z"
triggerall = ctrl || movetype = H
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X <= 15
trigger1 = p2bodydist X >= -5
trigger1 = p2bodydist Y >= -50
trigger1 = p2bodydist Y <= 50
trigger2 = command = "holdback"
trigger2 = p2bodydist X <= 15
trigger2 = p2bodydist X >= -5
trigger2 = p2bodydist Y >= -50
trigger2 = p2bodydist Y <= 50

;---------------------------------------------------------------------------
; Kick Throw
[State -1, Throw]
type = ChangeState
value = 810
triggerall = command = "a" || command = "b" || command = "c"
triggerall = ctrl || movetype = H
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X <= 15
trigger1 = p2bodydist X >= -5
trigger1 = p2bodydist Y >= -50
trigger1 = p2bodydist Y <= 50
trigger2 = command = "holdback"
trigger2 = p2bodydist X <= 15
trigger2 = p2bodydist X >= -5
trigger2 = p2bodydist Y >= -50
trigger2 = p2bodydist Y <= 50

;---------------------------------------------------------------------------
; Shoryuken
[State -1, State]
type = ChangeState
value = 1000
triggerall = Alive
triggerall = Life > 0
triggerall = command = "x"
triggerall = command = "holdup" || command = "holddown"
trigger1 = ctrl
trigger2 = StateNo = 40
trigger3 = movetype = H

[State -1, State]
type = ChangeState
value = 1010
triggerall = Alive
triggerall = Life > 0
triggerall = command = "y"
triggerall = command = "holdup" || command = "holddown"
trigger1 = ctrl
trigger2 = StateNo = 40
trigger3 = movetype = H

[State -1, State]
type = ChangeState
value = 1020
triggerall = Alive
triggerall = Life > 0
triggerall = command = "z"
triggerall = command = "holdup" || command = "holddown"
trigger1 = ctrl
trigger2 = StateNo = 40
trigger3 = movetype = H

;---------------------------------------------------------------------------
; Throw Fireballs
[State -1, State]
type = ChangeState
value = 1350
triggerall = Alive
triggerall = Life > 0
triggerall = command = "x" || command = "y" || command = "z"
triggerall = command = "holdback" || command = "holdfwd"
trigger1 = ctrl
trigger2 = movetype = H

;---------------------------------------------------------------------------
; Hadoken
[State -1, State]
type = ChangeState
value = 1300
triggerall = Alive
triggerall = Life > 0
triggerall = command = "x"
trigger1 = ctrl
trigger2 = movetype = H

[State -1, State]
type = ChangeState
value = 1310
triggerall = Alive
triggerall = Life > 0
triggerall = command = "y"
trigger1 = ctrl
trigger2 = movetype = H

[State -1, State]
type = ChangeState
value = 1320
triggerall = Alive
triggerall = Life > 0
triggerall = command = "z"
trigger1 = ctrl
trigger2 = movetype = H

;---------------------------------------------------------------------------
; Tatsumaki Senpuu Kyaku
[State -1, State]
type = ChangeState
value = 1100
triggerall = Alive
triggerall = Life > 0
triggerall = command = "a"
trigger1 = ctrl
trigger2 = movetype = H
trigger3 = stateno >= 1200
trigger3 = stateno < 2000
trigger4 = Statetype = S
trigger4 = movetype = A
trigger4 = stateno >= 1000
trigger5 = stateno >= 1000
trigger5 = stateno < 1100

[State -1, State]
type = ChangeState
value = 1110
triggerall = Alive
triggerall = Life > 0
triggerall = command = "b"
trigger1 = ctrl
trigger2 = movetype = H
trigger3 = stateno >= 1200
trigger3 = stateno < 2000
trigger4 = Statetype = S
trigger4 = movetype = A
trigger4 = stateno >= 1000
trigger5 = stateno >= 1000
trigger5 = stateno < 1100

[State -1, State]
type = ChangeState
value = 1120
triggerall = Alive
triggerall = Life > 0
triggerall = command = "c"
trigger1 = ctrl
trigger2 = movetype = H
trigger3 = stateno >= 1200
trigger3 = stateno < 2000
trigger4 = Statetype = S
trigger4 = movetype = A
trigger4 = stateno >= 1000
trigger5 = stateno >= 1000
trigger5 = stateno < 1100

;---------------------------------------------------------------------------
;===========================================================================

